Kepler - Feature #5666

Build system needs a target to build all common or blessed non-core modules

08/07/2012 11:07 AM - Christopher Brooks

Status: New Start date: 08/07/2012
Priority: Normal Due date:

Assignee: Derik Barseghian % Done: 0%
Category: build system Estimated time: 0.00 hour
Target version: 2.X.Y Spent time: 0.00 hour
Bugzilla-ld: 5666

Description

There should be a way to easily build all the common or "blessed"
non-core modules.

For example, "ant change-to -Dsuite=kepler" does not check out
reporting or tagging.

We should have notion of "blessed" modules, which | would say at a minumum
must meet two requirements:

1) There is someone on kepler-dev who is actively maintaining the module

2) There is at least one automatic test that at least does a smoke test

to ensure that the module works. More tests are better, but "ant test-blessed"
or something should do something with each module.

Having blessed modules would help in refactoring the tree because we
would have a better idea about what will break.

History

#1 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5666

#2 - 08/11/2015 05:43 PM - Daniel Crawl

- Tracker changed from Bug to Feature

#3 - 08/16/2015 06:03 PM - Daniel Crawl
- Target version changed from 2.5.0 to 2.X.Y

03/20/2024

1/1



http://www.tcpdf.org

